﻿<%@ Page Title="User Edit - VisualWiki" Language="C#" MasterPageFile="~/Manage.master" %>

<script runat="server">
    protected void Back_Click(object sender, EventArgs e)
    {
        Response.Redirect("UserList.aspx");
    }

    protected void SysUserDataSource1_OnPageIsNew()
    {
        SetControlEnable(true);
    }

    protected void SysUserDataSource1_OnPageIsEdit()
    {
        SetControlEnable(false);
    }
    
    private void SetControlEnable(bool enable)
    {
        SysUser_Name.Enabled = enable;
        SysUser_Role.Enabled = enable;
    }

    protected void SysUserDataSource1_OnObjectUpdating(SysUser o)
    {
        o.Password = CommonHelper.GetHashedPassword(o.Password);
    }

    protected void SysUserDataSource1_OnObjectInserting(SysUser o)
    {
        o.Password = CommonHelper.GetHashedPassword(o.Password);
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="ContextTitle" runat="server" Text="Title" CssClass="ContentTitle"></asp:Label><br /><br />
    <table border="0" class="ffcenter">
    <tr><td class="FieldTitle">Name:</td><td class="FieldControl"><asp:TextBox ID="SysUser_Name" runat="server" MaxLength="50" Columns="50" /></td></tr>
    <tr><td class="FieldTitle">Password:</td><td class="FieldControl"><asp:TextBox ID="SysUser_Password" runat="server" MaxLength="128" Columns="60" TextMode="Password" /></td></tr>
    <tr><td class="FieldTitle">Role:</td><td class="FieldControl"><asp:DropDownList ID="SysUser_Role" runat="server"><asp:ListItem Text="User" Value="User" /><asp:ListItem Text="Administrator" Value="Administrator" /></asp:DropDownList></td></tr>
    </table>
    <br />
    <biz:SysUserDataSource ID="SysUserDataSource1" runat="server" 
        SaveButtonID="Save" ContentTitleID="ContextTitle" DeleteButtonID="Delete" 
        NoticeMessageID="msg" ononpageisnew="SysUserDataSource1_OnPageIsNew" 
        ononobjectupdating="SysUserDataSource1_OnObjectUpdating" 
        ononobjectinserting="SysUserDataSource1_OnObjectInserting" 
        ononpageisedit="SysUserDataSource1_OnPageIsEdit" />
    <asp:Button ID="Save" runat="server" Text="Save" /> &nbsp;
    <asp:Button ID="Delete" runat="server" Text="Delete" /> &nbsp;
    <asp:Button ID="Back" runat="server" Text="Back" onclick="Back_Click" /> <br />
    <biz:NoticeLabel ID="msg" runat="server" />
    <br />
</asp:Content>
