﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Wiki.master" %>

<script runat="server">
    [HttpParameter] public string title;
    [HttpParameter(AllowEmpty = true)] public string path;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            var article = Article.FindByTitle(title);
            if (article != null)
            {
                Editor.Value = article.Content;
            }
        }
    }

    protected void Editor_SaveClick(object sender, EventArgs e)
    {
        Article.SaveArticle(title, Editor.Value);
        Response.Redirect(new UrlBuilder("Show.aspx").Add(Const.PathName, path).Add(Const.TitleName, title).ToString());
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <fck:FCKeditor ID="Editor" runat="server" CssClass="editor" BasePath="~/fckeditor/" 
        Height="100%" onsaveclick="Editor_SaveClick">
    </fck:FCKeditor>
</asp:Content>
